Package com.beust.jcommander

# Class WrappedParameter

java.lang.Object
com.beust.jcommander.WrappedParameter

public class WrappedParameter extends Object
Encapsulates the operations common to @Parameter and @DynamicParameter

## Constructor Summary

Constructors
Constructor
Description
`WrappedParameter(DynamicParameter p)`
`WrappedParameter(Parameter p)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addValue(Parameterized parameterized, Object object, Object value)`
`void`
`addValue(Parameterized parameterized, Object object, Object value, Field field)`
`int`
`arity()`
`boolean`
`echoInput()`
`String`
`getAssignment()`
`DynamicParameter`
`getDynamicParameter()`
`Parameter`
`getParameter()`
`boolean`
`hidden()`
`boolean`
`isHelp()`
`boolean`
`isNonOverwritableForced()`
`String[]`
`names()`
`boolean`
`password()`
`boolean`
`required()`
`Class<? extends IValueValidator>[]`
`validateValueWith()`
`Class<? extends IParameterValidator>[]`
`validateWith()`
`boolean`
`variableArity()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrappedParameter

public WrappedParameter(Parameter p)

### WrappedParameter

public WrappedParameter(DynamicParameter p)

## Method Details

### getParameter

public Parameter getParameter()

### getDynamicParameter

public DynamicParameter getDynamicParameter()

### arity

public int arity()

### hidden

public boolean hidden()

### required

public boolean required()

### password

public boolean password()

### names

public String[] names()

### variableArity

public boolean variableArity()

### validateWith

public Class<? extends IParameterValidator>[] validateWith()

### validateValueWith

public Class<? extends IValueValidator>[] validateValueWith()

### echoInput

public boolean echoInput()

### addValue

public void addValue(Parameterized parameterized, Object object, Object value)

### addValue

public void addValue(Parameterized parameterized, Object object, Object value, Field field) throws IllegalAccessException

Throws:
  `IllegalAccessException`

### getAssignment

public String getAssignment()

### isHelp

public boolean isHelp()

### isNonOverwritableForced

public boolean isNonOverwritableForced()